<?php

namespace CleverReach\WooCommerce\Components\Repositories\Customers\Contracts;

interface Buyer_Repository_Interface {

	/**
	 * Get receiver by email.
	 *
	 * @param string $email Receiver email.
	 */
	public function get_by_email( $email );

	/**
	 * Retrieves list of receivers identified by the provided emails.
	 *
	 * @param array $emails List of emails.
	 */
	public function get_by_emails( $emails );

	/**
	 * Retrieves list of receiver emails provided by the integration.
	 */
	public function get_emails();
}