<?php

namespace CleverReach\WooCommerce\Components\Repositories\Customers\Contracts;

interface Contact_Repository_Interface {
	/**
	 * Get receiver by email.
	 *
	 * @param $email
	 *
	 * @return array|false|mixed|null
	 */
	public function get_by_email( $email );

	/**
	 *  Retrieves list of receiver emails provided by the integration.
	 */
	public function get_emails();
	/**
	 * Retrieves list of receivers identified by the provided emails.
	 *
	 * @param array $emails List of emails.
	 */
	public function get_by_emails( $emails );
}