<?php

namespace CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Automation\AbandonedCart\Webhooks\Tasks;

use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\WebHookEvent\DTO\EventRegisterResult;
use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\WebHookEvent\Tasks\SubTasks\EventRegistrator as BaseTask;
use CleverReach\WooCommerce\IntegrationCore\Infrastructure\Http\Exceptions\HttpRequestException;
use CleverReach\WooCommerce\IntegrationCore\Infrastructure\Logger\Logger;

/**
 * Class EventRegistrator
 *
 * @package CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Automation\AbandonedCart\Webhooks\Tasks
 */
class EventRegistrator extends BaseTask
{
    const CLASS_NAME = __CLASS__;

    public function execute()
    {
        try {
            parent::execute();
        } catch (HttpRequestException $exception) {
            Logger::logWarning("Failed to register event: {$exception->getMessage()}", 'Core');
            $this->setExistingResult();
        }

        $this->reportProgress(100);
    }

    /**
     * Set existing call token and secret as fallback
     */
    protected function setExistingResult()
    {
        $result = new EventRegisterResult();
        $result->setCallToken($this->getEventsService()->getCallToken());
        $result->setSecret($this->getEventsService()->getSecret());

        $this->getExecutionContext()->setEventResult($result);
    }
}
